# Generated from datafarming-1.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name datafarming

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}
Summary: Useful scripts for data farming
License: MIT
URL: https://bitbucket.org/paul_j_sanchez/datafarmingrubyscripts
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
BuildArch: noarch

%description
Ruby scripts for data farming, including pre- and post-processing, design
generation and scaling, and run control.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/augment_design.rb
%{_bindir}/batchrunner.rb
%{_bindir}/blank2csv.rb
%{_bindir}/cat.rb
%{_bindir}/convert_line_endings.rb
%{_bindir}/cross.rb
%{_bindir}/csv2blank.rb
%{_bindir}/datafarming.rb
%{_bindir}/moving_average.rb
%{_bindir}/mser.rb
%{_bindir}/mser_nolbm.rb
%{_bindir}/mser_olbm.rb
%{_bindir}/pool_files.rb
%{_bindir}/rundesign_general.rb
%{_bindir}/scaled_fde.rb
%{_bindir}/scaled_rf_cubed.rb
%{_bindir}/stack_nolhs.rb
%{_bindir}/stripheaderdups.rb
%{_bindir}/stripheaders.rb
%{gem_instdir}/DESCRIPTIONS.html
%{gem_instdir}/DESCRIPTIONS.md
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/datafarming.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.4.0-1
- Initial package
